/*
   AntiRight
   (c) 2003-2004 Jeffrey Bedard
   jefbed@e-list.net
 
   This file is part of AntiRight.

    AntiRight is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    AntiRight is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with AntiRight; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* These are AntiRight's drawing functions.  */

typedef struct antiright_drawing_structure
{
  Display *display;
  Window window;
  GC gc;
  int width;
  int height;
}antiright_drawing_structure;

void
antiright_drawing_initialize(Widget drawing_widget, 
			     struct antiright_drawing_structure *drawing);

void
antiright_drawing_finish(struct antiright_drawing_structure *drawing);

void
antiright_draw_line(struct antiright_drawing_structure *drawing,
		    int x1, int y1,
		    int x2, int y2);

void
antiright_draw_string(struct antiright_drawing_structure *drawing,
		      int x, int y,
		      char *string);

void
antiright_draw_clear(struct antiright_drawing_structure *drawing);

void
antiright_draw_flush(struct antiright_drawing_structure *drawing);

void
antiright_draw_arc(struct antiright_drawing_structure *drawing,
		   int x, int y,
		   unsigned int width, unsigned int height,
		   int angle1, int angle2);
void
antiright_draw_filled_arc(struct antiright_drawing_structure *drawing,
			  int x, int y,
			  unsigned int width, unsigned int height,
			  int angle1, int angle2);

void
antiright_allocate_color(struct antiright_drawing_structure *drawing,
			 XColor *color);

void
antiright_draw_foreground(struct antiright_drawing_structure *drawing,
			  int red_int, int green_int, int blue_int);

